%define upstream_name    IO-Digest
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    %{upstream_name} module, calculate digests while reading or writing  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(PerlIO::via::dynamic) >= 0.100.0
BuildRequires: perl(PerlIO::via::dynamic)
# for test
BuildRequires: perl(Internals)
BuildArch:  noarch

%description
This module allows you to calculate digests while reading or writing file 
handles. This avoids the case you need to reread the same content to 
compute the digests after written a file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%defattr(444,root,root,755)
%doc CHANGES META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/IO/*
%_mandir/man*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.110.0-11.mga10
+ Revision: 2203994
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-10.mga9
+ Revision: 1809487
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-9.mga8
+ Revision: 1504755
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1284295
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.110.0-7.mga7
+ Revision: 1165014
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.110.0-6.mga7
+ Revision: 1158582
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-6.mga6
+ Revision: 1028659
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.110.0-5.mga6
+ Revision: 940734
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 742005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 685057
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 527064
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.110.0-1.mga4
+ Revision: 439415
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 368491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 33874
- mageia rebuild
- imported package perl-IO-Digest


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 406066
- rebuild using %%perl_convert_version

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 0.10-4mdv2009.0
+ Revision: 230905
- add missing BuildRequires
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 21 2007 Michael Scherer <misc@mandriva.org> 0.10-3mdv2008.0
+ Revision: 41994
- rebuild


* Thu Sep 29 2005 Michael Scherer <misc@mandriva.org> 0.10-2mdk
- Rebuild
- update the spec ( mkrel, check, update url )

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 0.10-1mdk
- First Mandrakelinux package

